| Home | Libraries | People | FAQ | More

## Struct non_hex_input

boost::algorithm::non_hex_input — Thrown when a non-hex value (0-9, A-F) encountered when decoding. Contains the offending character.

## Synopsis

    // In header: <boost/algorithm/hex.hpp>

    struct non_hex_input : public boost::algorithm::hex_decode_error {
      // construct/copy/destruct
      non_hex_input(char);
      non_hex_input();

      // public data members
      char bad_char;
    };

## Description

### `non_hex_input` public construct/copy/destruct

1.     non_hex_input(char ch);

2.     non_hex_input();